Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Catalin Marinas <[email-masked]>
Date: Fri, 8 Mar 2024 12:30:54 +0000

On Fri, Mar 08, 2024 at 06:25:26AM +0000, Oliver Upton wrote:
> On Fri, Mar 08, 2024 at 12:54:33PM +1100, Stephen Rothwell wrote:
> > Today's linux-next merge of the kvm-arm tree got a conflict in:
> > 
> >   arch/arm64/kernel/cpufeature.c
> > 
> > between commits:
> > 
> >   203f2b95a882 ("arm64/fpsimd: Support FEAT_FPMR")
> >   9cce9c6c2c3b ("arm64: mm: Handle LVA support as a CPU feature")
> >   352b0395b505 ("arm64: Enable 52-bit virtual addressing for 4k and 16k granule configs")
> >   2aea7b77aabc ("arm64: Use Signed/Unsigned enums for TGRAN{4,16,64} and VARange")
> > 
> > from the arm64 tree and commit:
> > 
> >   da9af5071b25 ("arm64: cpufeature: Detect HCR_EL2.NV1 being RES0")
> > 
> > from the kvm-arm tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary.
> 
> Thanks for reporting these Stephen. Fix looks good to me.
> 
> Catalin -- I think the conflicts are pretty simple here, but if we
> wanted to do something it'd probably be easiest if you pulled my
> kvm-arm64/feat_e2h0 branch. Looks like changes are coming from multiple
> topic branches in your tree.
> 
> No strong opinions either way, but I plan on sending the kvmarm PR
> tomorrow.

I'm happy to live with the conflicts really, Linus normally fixes those
at merge time.

-- 
Catalin